<?php
namespace Incoviba\Common\Implement\Exception;

use Throwable;
use Exception;

class HttpResponse extends Exception
{
    public function __construct($reason = "", $message = "", $code = 0, Throwable $previous = null)
    {
        $this->reason = "HTTP Reason: {$reason}";
        parent::__construct($message, $code, $previous);
    }
    protected string $reason;
    public function getReason(): string
    {
        return $this->reason;
    }
}
